Name:           pyhoca-cli
Version:        0.4.0.2
Release:        3%{?dist}
Summary:        Command line X2Go client written in Python

Group:          Applications/Communications
License:        AGPLv3+
URL:            http://www.x2go.org/
Source0:        http://code.x2go.org/releases/source/%{name}/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
Requires:       python-setproctitle
Requires:       python-x2go

%description
X2Go is a server based computing environment with:
   - session resuming
   - low bandwidth support
   - LDAP support
   - client side mass storage mounting support
   - client side printing support
   - audio support
   - authentication by smartcard and USB stick

PyHoca-CLI provides a simple and flexible command line client
written in Python that allows you to control X2Go client sessions
on desktops and thin clients.


%prep
%setup -q


%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
mkdir -p %{buildroot}/%{_bindir}/
cp -p %{name} %{buildroot}/%{_bindir}/
mkdir -p %{buildroot}/%{_mandir}/
cp -rp man/* %{buildroot}/%{_mandir}/


%files
%doc LICENSE.txt README TODO
%{_bindir}/%{name}
%{python_sitelib}/*
%{_mandir}/man1/%{name}.1*


%changelog
* Fri Aug 22 2014 Orion Poplawski <orion@cora.nwra.com> - 0.4.0.2-3
- Drop notify-python requires

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Jan 8 2014 Orion Poplawski <orion@cora.nwra.com> - 0.4.0.2-1
- Update to 0.4.0.2

* Fri Aug 30 2013 Orion Poplawski <orion@cora.nwra.com> - 0.4.0.1-2
- Change tabs to spaces

* Thu Aug 1 2013 Orion Poplawski <orion@cora.nwra.com> - 0.4.0.1-1
- Update to 0.4.0.1

* Tue Dec 18 2012 Orion Poplawski <orion@cora.nwra.com> - 0.2.1.0-1
- Initial Fedora release
